## Normalize
Calculate the normalize product of two vectors

### Declaration
```glsl
float normalize(float x)  
vec2 normalize(vec2 x)  
vec3 normalize(vec3 x)  
vec4 normalize(vec4 x)
```

### Parameters
```v``` specifies the vector to normalize.

### Description
```normalize()``` returns a vector with the same direction as its parameter, v, but with length 1.

### See Also

[length()](index.html#length.md)